<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>JsUnit Test Suite</title>
    <link rel="stylesheet" type="text/css" href="css/jsUnitStyle.css">
    <script language="JavaScript" type="text/javascript" src="app/jsUnitCore.js"></script>
    <script language="JavaScript" type="text/javascript">

        function coreSuite() {
            var result = new top.jsUnitTestSuite();
			// why on earth would they not give an option to do it relative to this suite? STUPID. FIXME
            result.addTestPage("JidTest.html");
            result.addTestPage("DomHacksTest.html");
            result.addTestPage("KeySequenceTest.html");
            result.addTestPage("StanzaProviderTest.html");
            result.addTestPage("PacketFilterTest.html");
			result.addTestPage("DelegateManagerTest.html");
			result.addTestPage("EventListenerManagerTest.html");
            result.addTestPage("PacketReaderTest.html");
            result.addTestPage("RequestPoolTest.html");
            result.addTestPage("PacketWriterTest.html");
            result.addTestPage("PacketCollectorTest.html");
            result.addTestPage("ExtensionProviderTest.html");
			result.addTestPage("CoreTest.html");
			result.addTestPage("PacketHelperTest.html");
			result.addTestPage("BasicAuthRegTest.html");
			result.addTestPage("PresenceManagerTest.html");
			result.addTestPage("RosterItemManagerTest.html");
			result.addTestPage("RosterTest.html");
			result.addTestPage("ChatManagerTest.html");
            result.addTestPage("DataFormTest.html");
            result.addTestPage("MUC_Filter.html");
            result.addTestPage("MUC_Join.html");
            return result;
        }


        function suite() {
            var newsuite = new top.jsUnitTestSuite();
            newsuite.addTestSuite(coreSuite());
            return newsuite;
        }
    </script>
</head>

<body>
<h1>JsUnit Test Suite</h1>

<p>This page contains a suite of tests for testing XMPP4JS.</p>
</body>
</html>